<?php

class slug extends cmsFrontend {
    
    public function getSlug($item){
        
        $markers=cmsCore::getInstance()->request->get('markers');
        $markers_array=json_decode(urldecode($markers[0]), true);        
        $item_all = $markers_array ? array_merge ($item, $markers_array) : $item; 
     
        $ctype = cmsCore::getModel('content')->getContentTypeByName('places'); 
        
        $pattern = trim($ctype['url_pattern'], '/');
        preg_match_all('/{([a-zA-Z0-9\_]+)}/i', $pattern, $matches);
        $empty = false;        
        
        if ($matches) {
            list($tags, $names) = $matches;           
            foreach($names as $idx=>$field_name){
                if (!empty($item_all[$field_name])){
                    $value = $item_all[$field_name];
                    $pattern = str_replace($tags[$idx], $value, $pattern);
                } else {
                    $empty=true;
                    break;
                }
            }
        }

        $item['slug'] =  lang_slug($empty ? $item['title'] : $pattern);
        
        return $item;
    }

}
